Name: sysstat
Version: 4.0.0
Release: 1mdk
Summary: Includes the sar and iostat system monitoring commands.
License: GPL
Group: System/Configuration/Other
Source: http://ibiblio.org/pub/Linux/system/status/%{name}-%{version}.tar.bz2
Source1: sysstat.cronhourly
Source2: sysstat.crondaily
Patch0: sysstat-3.3.3-config.patch.bz2
Patch1: sysstat-3.3.3-prevday.patch.bz2
Patch2: sysstat-3.3.5-fixutilization.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: kernel >= 2.2.16-21
Prereq: sh-utils textutils grep fileutils

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%setup -q
#%patch0 -p1 -b .config
%patch1 -p1 -b .prevday
#%patch2 -p1 -b .fixutilization

%build
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
make install MAN_DIR=%{_mandir} MAN_GROUP=$(id -gn) PREFIX="%{_prefix}" DESTDIR="$RPM_BUILD_ROOT"

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}
install %{SOURCE1} %{buildroot}/etc/cron.hourly/sysstat
install %{SOURCE2} %{buildroot}/etc/cron.daily/sysstat

%find_lang %{name}

%triggerpostun -- sysstat <= 3.3.3-1
# earlier versions of sysstat had crontabs done in a bad way.  fix it.
if [ `id -u` = "0" -a "$1" -ge "2" ]; then
  egrep -v 'sysstat|sa1|sa2' /etc/crontab > /tmp/crontab.$$
  mv /tmp/crontab.$$ /etc/crontab && chmod 644 /etc/crontab
fi

%preun
if [ "$1" = 0 ]; then
  # Remove sa logs if removing sysstat completely
  rm -f /var/log/sa/*
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO
%config(noreplace) /etc/cron.hourly/sysstat
%config(noreplace) /etc/cron.daily/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man8/*
/var/log/sa

%changelog
* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-1mdk
- rebuild

* Mon Apr 09 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.0.0-1mdk
- Release 4.0.0.
- Patch cleanup.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3.5-1mdk
- First version from the Red Hat package.

